// ******************************************************************************************
// Mod Name: BigOlExpansion
// Mod Id: 2c45c73a-d536-4d2a-b2d4-a8fcc84d5d79
// Mod Version: 1.0
// Mod File: code.js
// ******************************************************************************************
// Author: Tom Cork
// Last modified: 15/04/2015
// ******************************************************************************************
// Notes: This file is loaded from main.js
// ******************************************************************************************

// Create the main mod object (our package)
var BigOlExpansion = {};

(function(){

// ******************************************************************************************
// Topics
// ******************************************************************************************

GDT.addTopics([
   { 
	id: "9eb9d53a-90f1-444b-b5b6-81f5e7745f5f",
	name: "Card Games",
	genreWeightings: [  0.6, 0.7, 0.9, 1, 0.8, 1 ],
	audienceWeightings: [  0.9, 1, 0.7 ]
	 }
  ,{ 
	id: "99c0031a-f31d-48c1-b052-1ebcea86bff7",
	name: "Board Games",
	genreWeightings: [  0.6, 0.9, 0.7, 0.8, 1, 0.8 ],
	audienceWeightings: [  0.9, 1, 0.7 ]
	 }
  ,{ 
	id: "2819fde3-a52a-4fe0-983e-78be9fb5d88f",
	name: "Fishing",
	genreWeightings: [  0.6, 0.7, 0.8, 1, 0.9, 0.8 ],
	audienceWeightings: [  0.7, 0.8, 0.9 ]
	 }
  ,{ 
	id: "3ba10a4c-8638-41c1-b647-87cfbcc45635",
	name: "TV Show",
	genreWeightings: [  0.7, 1, 0.7, 0.9, 0.6, 0.8 ],
	audienceWeightings: [  1, 0.8, 0.7 ]
	 }
  ,{ 
	id: "ba585fd7-1c30-479b-91b8-a88f06280522",
	name: "Quiz",
	genreWeightings: [  0.6, 0.7, 0.7, 0.9, 0.7, 1 ],
	audienceWeightings: [  0.8, 0.9, 0.6 ]
	 }
  ,{ 
	id: "d7f2090d-5270-44ac-b9f2-8bf3b68ac801",
	name: "Future",
	genreWeightings: [  1, 1, 0.8, 0.9, 0.7, 0.6 ],
	audienceWeightings: [  0.9, 1, 0.7 ]
	 }
  ,{ 
	id: "3d7b1c34-8166-4f7e-b25f-11a1a1b0111b",
	name: "World Wars",
	genreWeightings: [  1, 0.8, 0.8, 1, 0.9, 0.7 ],
	audienceWeightings: [  0.7, 0.8, 1 ]
	 }
  ,{ 
	id: "e54b5bdb-c080-45f7-b440-5a510020eb0b",
	name: "Shooter",
	genreWeightings: [  1, 0.9, 0.8, 0.9, 0.7, 0.7 ],
	audienceWeightings: [  0.9, 1, 0.7 ]
	 }
  ,{ 
	id: "51151e16-8c77-49a4-8529-0cc94e43c94c",
	name: "Stealth",
	genreWeightings: [  0.9, 0.8, 0.9, 0.6, 1, 0.7 ],
	audienceWeightings: [  0.7, 0.8, 0.9 ]
	 }
  ,{ 
	id: "eb5b4f9f-5d6a-4a5d-a2e0-cedcd31219e3",
	name: "Thief",
	genreWeightings: [  0.9, 0.7, 0.9, 0.7, 1, 0.6 ],
	audienceWeightings: [  0.6, 0.7, 1 ]
	 }
  ,{ 
	id: "a2b61423-110e-4754-8382-7219cc1e7e14",
	name: "Spaceship",
	genreWeightings: [  0.9, 1, 0.8, 0.9, 0.6, 0.6 ],
	audienceWeightings: [  0.9, 0.9, 0.8 ]
	 }
  ,{ 
	id: "7df6a0a8-1005-4595-919c-180661e8fb28",
	name: "Super Villain",
	genreWeightings: [  1, 0.9, 0.8, 0.7, 0.6, 0.7 ],
	audienceWeightings: [  0.9, 1, 0.7 ]
	 }
  ,{ 
	id: "2f15a4d3-c76b-404f-b9e4-da086bcfb648",
	name: "Jousting",
	genreWeightings: [  1, 0.6, 0.9, 0.8, 0.7, 0.9 ],
	audienceWeightings: [  0.7, 0.8, 1 ]
	 }
  ,{ 
	id: "a2013736-4cf2-4310-ba8d-ce60017c604f",
	name: "Diving",
	genreWeightings: [  0.7, 1, 0.7, 1, 0.6, 0.8 ],
	audienceWeightings: [  1, 0.9, 0.6 ]
	 }
  ,{ 
	id: "a2e49cf0-d014-4ddf-ae5b-0fea9ee04385",
	name: "Spartans",
	genreWeightings: [  1, 0.8, 0.9, 0.6, 0.7, 0.7 ],
	audienceWeightings: [  0.8, 0.8, 0.9 ]
	 }
  ,{ 
	id: "84546816-9e3d-430a-ad76-a65e7ba9b8da",
	name: "Skateboard",
	genreWeightings: [  0.7, 0.9, 0.8, 1, 0.6, 0.9 ],
	audienceWeightings: [  0.8, 1, 0.7 ]
	 }
  ,{ 
	id: "ea5d53bc-7d46-42d0-9a8f-46e097c072bd",
	name: "Theft",
	genreWeightings: [  1, 0.6, 0.8, 0.7, 0.9, 0.7 ],
	audienceWeightings: [  0.6, 0.7, 1 ]
	 }
  ,{ 
	id: "a16eacff-ca15-42f7-afff-b87568eebc08",
	name: "Indie-Horror",
	genreWeightings: [  0.7, 1, 0.7, 0.8, 0.6, 0.9 ],
	audienceWeightings: [  0.6, 0.8, 1 ]
	 }
  ,{ 
	id: "34adf4b7-fe3d-41a8-aad2-f8c744c3aa01",
	name: "Tower Defence",
	genreWeightings: [  0.8, 0.7, 0.6, 0.9, 1, 1 ],
	audienceWeightings: [  0.9, 1, 0.7 ]
	 }
  ,{ 
	id: "04bdb974-25ef-4b2a-920f-809a46488169",
	name: "Democracy",
	genreWeightings: [  0.6, 0.8, 0.7, 1, 1, 0.6 ],
	audienceWeightings: [  0.6, 0.7, 0.9 ]
	 }
]);

// ******************************************************************************************
// Achievements
// ******************************************************************************************

UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "57693be1-fc4f-48d4-a245-cb7aa07b2a43",
	title: "Nearly Bankrupt",
	description: "Get 15K or more in debt.",
	tint: "#C0504D",
	value: 100,
	hidden: true,
	canEarnMultiple: true,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.cash <= -20000;

						return res;
				}
	}));

// ******************************************************************************************
// Platforms
// ******************************************************************************************

// Adding Grapintosh
// -----------------------------------------------------------

GDT.addPlatform({
	id:"3b82df07-2f68-49f6-bab9-22c368bce78b",
	name:"Grapintosh",
	company:"Grapple",
	startAmount:0.03,
	unitsSold:0.08,
	licencePrize:7E4,
	published:"5/6/4",
	platformRetireDate:"8/3/3",
	developmentCosts:4E4,
	genreWeightings:[  0.6, 0.7, 0.7, 1, 0.8, 0.9 ],
	audienceWeightings:[  0.7, 0.9, 0.8],
	techLevel:3,
	iconUri: mod2c45c73ad5364d2ab2d4a8fcc84d5d79.modPath + "/images/platforms/monitor-309581_1280.png",
	event:null
	});
	
	
// ******************************************************************************************
// Researches: Engines
// ******************************************************************************************

// Adding 3D Graphics V6
// -----------------------------------------------------------

UltimateLib.Research.addEngineResearch({
	id: "a1627fbf-1198-4d55-9e35-bd185293d6c7",
	name: "3D Graphics V6",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getFeatureLevel(GameManager.company, '3D Graphics V5') >= 4;
							res &=   GameManager.company.gameLog.length >= 30;
							res &=   GameManager.company.canDevelopAAAGames();

						return res;
				},
	category: "Engine",
	categoryDisplayName: "Engine",
	v: 12
	});

})();